package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class NetworkBridge {
    private Metadata metadata;
    private String failoverEnabled;
    private String loadBalancingEnabled;
    private LoadGroups LoadGroups;
    private String portVLANID;
    private SharedEthernetAdapters sharedEthernetAdapters;
    private String uniqueDeviceID;
    private VirtualNetworks virtualNetworks;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public LoadGroups getLoadGroups() {
        return LoadGroups;
    }

    public void setLoadGroups(LoadGroups loadGroups) {
        LoadGroups = loadGroups;
    }

    public String getFailoverEnabled() {
        return failoverEnabled;
    }

    public void setFailoverEnabled(String failoverEnabled) {
        this.failoverEnabled = failoverEnabled;
    }

    public String getLoadBalancingEnabled() {
        return loadBalancingEnabled;
    }

    public void setLoadBalancingEnabled(String loadBalancingEnabled) {
        this.loadBalancingEnabled = loadBalancingEnabled;
    }

    public String getPortVLANID() {
        return portVLANID;
    }

    public void setPortVLANID(String portVLANID) {
        this.portVLANID = portVLANID;
    }

    public SharedEthernetAdapters getSharedEthernetAdapters() {
        return sharedEthernetAdapters;
    }

    public void setSharedEthernetAdapters(SharedEthernetAdapters sharedEthernetAdapters) {
        this.sharedEthernetAdapters = sharedEthernetAdapters;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public VirtualNetworks getVirtualNetworks() {
        return virtualNetworks;
    }

    public void setVirtualNetworks(VirtualNetworks virtualNetworks) {
        this.virtualNetworks = virtualNetworks;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
